org.apache.solr.cloud

## Class OverseerCollectionConfigSetProcessor

- java.lang.Object
- - org.apache.solr.cloud.OverseerTaskProcessor
  - - org.apache.solr.cloud.OverseerCollectionConfigSetProcessor

- All Implemented Interfaces:
    Closeable, AutoCloseable, Runnable

      public class OverseerCollectionConfigSetProcessor
      extends OverseerTaskProcessor

  An `OverseerTaskProcessor` that handles: 1) collection-related Overseer messages 2) configset-related Overseer messages

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.solr.cloud.OverseerTaskProcessor

      `OverseerTaskProcessor.OverseerMessageHandlerSelector, OverseerTaskProcessor.Runner, OverseerTaskProcessor.TaskBatch`

  - ### Field Summary

    - ### Fields inherited from class org.apache.solr.cloud.OverseerTaskProcessor

      `MAX_BLOCKED_TASKS, MAX_PARALLEL_TASKS, selector, tpe`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `OverseerCollectionConfigSetProcessor(ZkStateReader zkStateReader, String myId, ShardHandlerFactory shardHandlerFactory, String adminPath, Overseer.Stats stats, Overseer overseer, OverseerNodePrioritizer overseerNodePrioritizer, OverseerTaskQueue workQueue, DistributedMap runningMap, DistributedMap completedMap, DistributedMap failureMap)`
    `` | `OverseerCollectionConfigSetProcessor(ZkStateReader zkStateReader, String myId, ShardHandler shardHandler, String adminPath, Overseer.Stats stats, Overseer overseer, OverseerNodePrioritizer overseerNodePrioritizer)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.solr.cloud.OverseerTaskProcessor

      `amILeader, close, getLeaderId, getLeaderNode, getSortedElectionNodes, getSortedOverseerNodeNames, isClosed, run`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OverseerCollectionConfigSetProcessor

          public OverseerCollectionConfigSetProcessor(ZkStateReader zkStateReader,
                                                      String myId,
                                                      ShardHandler shardHandler,
                                                      String adminPath,
                                                      Overseer.Stats stats,
                                                      Overseer overseer,
                                                      OverseerNodePrioritizer overseerNodePrioritizer)

    - #### OverseerCollectionConfigSetProcessor

          protected OverseerCollectionConfigSetProcessor(ZkStateReader zkStateReader,
                                                         String myId,
                                                         ShardHandlerFactory shardHandlerFactory,
                                                         String adminPath,
                                                         Overseer.Stats stats,
                                                         Overseer overseer,
                                                         OverseerNodePrioritizer overseerNodePrioritizer,
                                                         OverseerTaskQueue workQueue,
                                                         DistributedMap runningMap,
                                                         DistributedMap completedMap,
                                                         DistributedMap failureMap)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.